Package twisted :: Package spread :: Module sturdy :: Class PerspectiveConnector

[frames | no frames]

## Class PerspectiveConnector

Method Summary
| `__init__(self, host, port, username, password, serviceName, perspectiveName, client)`
| `__getstate__(self)`
| ``_cbConnected`(self, reference)` We've connected.
| ``_ebConnected`(self, error)` We haven't connected yet.
| `callRemote(self, method, *args, **kw)`
| `startConnecting(self)`

Method Details

### _cbConnected(self, reference)

We've connected. Reset everything and call all pending methods.

### _ebConnected(self, error)

We haven't connected yet. Try again.

Generated by Epydoc 2.0 on Sat May 15 20:08:43 2004 | http://epydoc.sf.net